Bug 471918 - Need assigned User/Group for puppet
Need assigned User/Group for puppet
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: setup (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ondrej Vasik
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-17 12:18 EST by Robert Rati
Modified: 2013-04-12 15:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-14 03:41:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2008-11-17 12:18:29 EST
Description of problem:
We are shipping puppet in MRG, and I am told I need to request uid/gid values for the puppet user.  Currently the package's pre-install script creates the puppet user/group but doesn't specify a uid/gid for either.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ondrej Vasik 2008-11-17 13:29:21 EST
Ok, will try to find suitable uid/gid pair for RHEL-5 puppet although number of free uidgid numbers under uidgid 100 is very close to zero.
Comment 2 Ondrej Vasik 2008-11-18 07:18:57 EST
Just as note, uidgid pair 52:52 is now reserved for puppet in rawhide uidgid file (setup-2.7.4-2.fc11)
Comment 3 Robert Rati 2008-11-18 09:45:52 EST
IS this uid/gid pair reserved for RHEL4 as well?
Comment 4 Ondrej Vasik 2008-11-18 09:50:17 EST
Not at the moment, as you know, RHEL-4 and RHEL-5 has different system of updates. But I hope it will get to RHEL-4 soon...
Comment 14 errata-xmlrpc 2009-05-14 03:41:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0484.html

Note You need to log in before you can comment on or make changes to this bug.